from debian:9 as build

RUN apt update && apt install -y wget gcc make libpcre3-dev zlib1g-dev git curl
RUN wget https://nginx.org/download/nginx-1.18.0.tar.gz && tar xvfz nginx-1.18.0.tar.gz && cd nginx-1.18.0 && ./configure && make -j2 && make install

from alpine:latest

workdir /usr/local/nginx/sbin
copy --from=build /usr/local/nginx/sbin/nginx .
run mkdir ../logs ../conf && touch ../logs/error.log && chmod +x nginx
cmd ["./nginx", "-g", "daemon off;"]
